   Cофтпанорама 1989, No. 3

   **************   П А Н О Р А М А   Н О В О С Т Е Й   ****************

                                              Составитель: Н.Н. БЕЗРУКОВ

        MICROSOFT QUICK PASCAL ПРОТИВ BORLAND TURBO PASCAL 5.5

   Менее  чем месяц спустя после появления в составе пакета Quick Pascal
фирмы Microsoft объектно-ориентированых инструментальных средств,  фирма
Borland  объявила  о выпуске новой версии компилятора Turbo Pascal и от-
ладчика Turbo Debugger, ориентированных на такую же технологию  програм-
мирования. Эта  технология  обеспечивает  сокращение  времени разработки
программ на 35 процентов по сравнению с обычной технологией программиро-
вания на таких языках, как С.
   Компилятор Turbo Pascal поддерживает динамические объекты, использует
новую схему управления оверлейными структурами, оптимизируя их  располо-
жение  в  буфере  в соответствии с частотой их использования. Компилятор
Turbo Pascal 5.5 более быстрый,  чем  компилятор  Quick  Pascal,  однако
Quick Pascal существенно превосходит своего конкурента возможностями по-
мощи  программисту во время работы, включающие в себя справочную систему
QP Advisor и обучающую систему Quick Pascal Express.
                                           "PC User", June 1989, p.29

                         PKZIP НА СМЕНУ PKARC

   Новая версия архиватора PKARK фирмы PKWARE позволяет рекурсивно сжи-
мать подкаталоги и имеет улучшенную степень сжатия. Минидокументация на
русском языке и сами программы внесены в данный номер СОФТПАНОРАМЫ.

                 ЧЕТВЕРТАЯ ВЕРСИЯ РЕДАКТОРА MULTIEDIT

   Версия 4. редактора  MultiEdit  содержит  существенные  улучшения  по
сравнению  с  версией  2. В частности, улучшена работа с окнами, введена
возможность поиска и замены внутри отмеченного блока, возможность встра-
ивать результаты работы калькулятора прямо в текст, выдача оглавления  в
несколько столбцов, улучшены средства возврата.

       ПРОГРАММИСТЫ, ИСПОЛЬЗУЮЩИЕ ИЛИ ИНТЕРЕСУЮЩИЕСЯ ЯЗЫКОМ FORTH

                                - 2 -

   Инициативная группа по языку FORTH проводит организационное заседание
14  декабря после окончания семинара. Запись в рабочую группу будет про-
ведена в ходе семинара. Тел. для справок: 261-83-55 (раб) Форсюк Виктор.

            ПРОГРАММИСТЫ, РАБОТАЮЩИЕ НА DBASE, ОБЪЕДИНЯЙТЕСЬ

   В КИНХ начинает работу семинар "Информационные системы". Первое засе-
дание состоится 19 декабря. В программе:
   - Тесленко В.Г. Проблемы создания Clipper - C систем.
   - Степанович Ю.В. Опыт работы с  генераторами  dBase-ориентированных
программ.
   Тел. для справок: 555-15-17 (дом) Ассонов Алексей. Полный текст прог-
раммы см. CALENDAR.013.

        ПЕРВАЯ ВСЕСОЮЗНАЯ ОЛИМПИАДА  СОЗДАТЕЛЕЙ ИГРОВЫХ ПРОГРАММ

   Академия  наук СССР и редакция газеты "ПОИСК" проводят 1-ю Всесоюзную
компьютерную олимпиаду. Она состоится в апреле 1990  года  в  московском
Доме ученых.  В программе следующие виды:  шашки международные  (10х10),
шашки русские (8х8),  нарды, бридж, го, рендзю, гомоку, домино, реверси,
калах, "4 в ряд"(Connect four). Ее участниками могут стать как коллекти-
вы,  так  и  авторы  индивидуальных программ.  Во время соревнований они
обеспечиваются IBM-совместимыми компьютерами,  но при желании могут  ис-
пользовать и  собственную аппаратуру.  Правила проведения соревнований и
турнирный регламент будут сообщены авторам программ после  подачи заявок
на участие  в олимпиаде.  Заявки принимаются до 1 марта 1990 года.  Тел.
для справок - 207-82-04.
   Для  проведения 1-й Всесоюзной компьютерной олимпиады создан оргкоми-
тет в составе 10 человек. Ни председатель (вице-президент АH СССР акаде-
мик Юрий Осипьян),  ни его зам (гл. ред. газеты "ПОИСК" Александр Митро-
шенков) в  вопросах  создания  игровых программ ни разбираются.  Главный
судья соревнований - обладатель золотой медали 1-й Всемирной  компьютер-
ной олимпиады  Николай  Александров  является одним из авторов программы
"Ренцзю-сапиен", которая на первой всемирной компьютерной олимпиаде  по-
лучила золотую медаль.
   Из авторов программ-победителей 1-й Всесоюзной компьютерной олимпиады

                                - 3 -
будет  сформирована  сборная  команда  СССР для участия во 2-й Всемирной
компьютерной олимпиаде, которая состоится в Лондоне летом 1990 года. Ор-
ганизациям,  кооперативам и отдельным лицам, предоставившим средства для
финансирования олимпиады или  отдельных  ее  участников,  обеспечивается
процент прибыли от продажи программ и коммерческих сеансов.

         НАШИ ПОКА МОГУТ ТОЛЬКО В "РЕНДЗЮ" И "КРЕСТИКИ-НОЛИКИ"

   На 1-й Всемирной компьютерной олимпиаде, прошедшей в Лондоне из 15-ти
видов игр в двух учавствовали советские программы.
   Авторы  программы  "Ренцзю-сапиен" (  Н.Александров,  А.Григорьев  и
М.Трухин)  и автор программы "крестики-нолики" А.Гитис завоевали в своих
видах золотые медали. Количество программ, участвовавших в этих видах не
сообщается.
   Соревнования по  шахматам  выиграла  голландская  программа  "РЕБЕЛ",
обыгравшая  "МЕФИСТО"  (Англия).  2-ое  и 3-е места поделили трехкратная
чемпионка "Фиделити" (США) и шестикратная чемпионка "Медгисти".
   Следующая 2-я Всемирная компьютерная олимпиада состоится летом следу-
ющего года в столице Англии.
                                                "Поиск" 26.10.89(#26)

       СОВМЕСТНОЕ СОВЕТСКО-АМЕРИКАНСКОЕ ПРЕДПРИЯТИЕ "СОВАМИНКО"
                  ВЫПУСТИЛО ЖУРНАЛ  "КОМПЬЮТЕРПРЕСС"

                       Содержание первого номера

Обозрение "Лазерные принтеры"..........................................3
Семь причин, чтобы не покупать персональный компьютер..................9
Издательство на столе: обозрение пакетов для подготовки изданий.......13
Подсоединение персонального компьютера к большой ЭВМ..................30
Руководство по покупке персональных компьютеров.......................38
Обозрение "Оптимизаторы винчестерских дисков".........................41
Особенности работы с базами данных в сети: обозрение
сетевых характеристик СУБД............................................51
Подсоединение факсимильной аппаратуры к персональным
компьютерам...........................................................62
Рабочие станции или персональные компьютеры?..........................68
Локальные сети от А до Я: курс обучения для начинающих................75
Интервью с Биллом Гейтсом - основателем фирмы "Microsoft".............82
Из дальних стран нам сообщает пресса: новости
компьютерного мира....................................................95
Хит-парад............................................................102

Адрес редакции: 101000, Москва, Потаповский пер., 10.
                тел. 923-55-81

                    ИЗ ОТВЕТОВ Н.И.РЫЖКОВА НА ВОПРОСЫ
               ДЕЛЕГАТОВ ВСЕСОЮЗНОГО СТУДЕНЧЕСКОГО ФОРУМА

   Вопрос: Не пора ли освободить студенческие кооперативы от налогообло-
жения ?
   Ответ: Считаю, вопрос поставлен правильно. Если мы определенным кате-
гориям  нашего общества создаем благоприятные налоговые стимулы, то надо
это сделать и для студенчества.
                                          "Известия" 10 ноября 1989г.

                    ДОКУМЕНТАЦИЯ ПО MS DOS ИЗ ГПНТБ

   Производственная мастерская ГПНТБ СССР предлагает  копирование  доку-
ментации по программному обеспечению ЭВМ на языке оригинала. Копирование
производится в научных, учебных и просветительских целях, без извлечения
прибыли. В  приводимом  перечне дан обьем документации (книги/страницы).

                                - 4 -
Стоимость одной страницы копии 15 (пятнадцать) копеек.
                   Unix                        4 кн.(795 стр.)
                   Unix System V               9 кн.(2718 стр.)
                   IBM-PC XT                   15 кн.(3830 стр.)
                   MS DOS C V 5.0 Microsoft    6 кн.
                   Turbo Pascal V 5.0          3 кн.
                   MS DOS V 3.3                1 кн.
                   Turbo C                     2 кн.
                   Microsoft works ref         2 кн.(698 стр.)

   Для  получения копий необходимо направить в ПМ ГПНТБ СССР гарантийное
письмо, в котором должно быть указано наименование документации. Справки
по телефону 924-98-64

                              СВЕРХМОЩНАЯ ЭВМ

   В  ФРГ изготовлена мощная ЭВМ "Супернум", которая производит 320 млн.
операций в секунду. Вскоре ее быстродействие будет удвоено. Через  неко-
торое  время  она будет производить 5 млрд. операций в секунду. В разра-
ботке и изготовлении новой ЭВМ учавствовало 14 научно  -  исследователь-
ских институтов ФРГ.
                                                    "Правда" 8.12.89.

                             У НАС БЫ ТАК

   Под  вечер  в одну из больниц Лос-Анджелеса была доставлена 35-летняя
женщина в состоянии глубокого шока. Поиск подходящих методов лечения ни-
чего не дал - она медленно умирала. И умерла бы, не запроси врачи с  по-
мощью госпитального компьютера последовательно все базы медицинских дан-
ных  сначала  больниц  города,  а затем и штата. Двадцать седьмой запрос
оказался результативным - был выявлен точно такой же случай,  произошед-
ший два года назад. Врачи из Лос-Анджелеса применили аналогичный  способ
лечения. Больная была спасена. Весь поиск в базах данных более чем  двух
десятков больниц занял ровным счетом семь минут.

                                                 "Поиск" 26.10.89(#26)


                                - 5 -

          УЧРЕДИТЕЛЬНАЯ КОНФЕРЕНЦИЯ ЛЕНИНГРАДСКОГО СОЮЗА УЧЕНЫХ

    В уставе - борьба за свободу творчества;  формирование постоянных и
временных научных коллективов; проведение независимых экспертиз; разви-
тие международных связей;  организация "Союзного университета", который
мог бы объединить всех ленинградских ученых в целях воспитания  высоко-
образованной смены. Было предложено также создание фонда помощи молодым
ученым.

                            КТО СЛЕДУЮЩИЙ ?

   Более  300 студентов МГУ, съевших в столовой #2 главного здания пече-
ночный паштет, попали в инфекционные больницы с диагнозом "сальмонелез".
Прокуратурой возбуждено уголовное дело.
                                                "Поиск" 26.10.89(#26)

                           ПЭВМ ДЛЯ БАЛЕРИНЫ

   Театр оперы и балета БССР приобрел компьютер (марка неизвестна). Ожи-
дается, что он будет использоваться для резервирования билетов, хранения
информации о занятости актеров, расписания спектаклей и  (что,  впрочем,
маловероятно) изготовления декораций.
                                                           "Известия"

                      ШАГ К КОНВЕРТИРУЕМОЙ ВАЛЮТЕ

   Журнал "Микропроцессорные средства и системы" стал доставляться  под-
писчикам  в  сроки,  характерные  для доставки в СССР некоторых зарубеж-
ных валютных журналов. Первый номер за 1989 год получен подписчиками в 
ноябре.

           ОДИН ИЗ ВОЗМОЖНЫХ СПОСОБОВ ИСТРАТИТЬ 800 ДОЛЛАРОВ

   Пакет  AccSys  представляет собой библиотеку программ, предназначеную
для программистов, которым необходимо модифицировать  или  разрабатывать
приложения  для  указаных баз данных. При программировании на языках С и
QuickBasic пакет AccSys позволяет создавать файлы для систем  управления

                                - 6 -
базами данных Paradox И dBASE IV, читать и записывать данные в эти файлы
без  необходимости изучения сложных внутренних структур файлов реляцион-
ных баз данных.  Пакет AccSys обеспечивает полный набор инструментальных
средств для управления табличными и индексными  файлами.  Версия  пакета
AccSys  для  системы Paradox работает с версиями 2 и 3 и пока рассчитана
на однопользовательский вариант системы  Paradox,  многопользовательский
вариант для системы Paradox будет выпущен в конце лета. Стоимость пакета
AccSys для системы dBASE IV или Paradox 395 долларов. При поставке паке-
та с исходными текстами программ стоимость AccSys 795 долларов.
   Поставляет  пакет AccSys фирма Copia International Ltd., 1964 Richton
Dr., Wheaton, IL 60187, (312) 665-9830.
                              "Byte", Vol. 14, No. 6, June 1989, p.80

           ТЕМ, КТО ПЕРЕХОДИТ С ЯЗЫКА ТURBO PASCAL НА ЯЗЫК С

   Фирма Lauer & Wallwitz  (разработчик  пакета  Turbo  Pascal  Graphics
Toolbox)  предлагает транслятор с языка Turbo Pascal на язык С (немецкое
название транслятора Р2С). Транслятор позволяет текст любой программы на
языке Turbo Pascal (версий 3,4 и 5) преобразовать в текст на языке С для
работы с одним из компиляторов Microsoft C, Turbo C. Можно также  преоб-
разовать  исходный  текст  программы в текст на языке С, соответствующий
стандарту ANSI.  Транслятор Р2С особенно полезен программистам, желающим
перейти в среду UNIX,  которая более подходит для работы на языке С, чем
на языке Pascal.
   Стоимость компилятора 500 немецких марок. Адрес и телефон фирмы Lauer
& Wallwitz: Kirchgasse 24, D-6200 Wiesbaden, West Germany, 06121-42771.
                              "Byte", Vol. 14, No. 6, June 1989, p.96

   КОМПЬЮТЕР С МИКРОПРОЦЕССОРОМ 80386 МЕНЕЕ ЧЕМ ЗА ТЫСЯЧУ  ДОЛЛАРОВ

   Компьютер SAM3001/386 фирмы HiTech International (712  Charcot  Ave.,
San  Jose,  CA  95131,  (408) 435-8827) построен на базе микропроцессора
80386, работающего на частоте 16 Мгц.  Стоимость  компьютера  всего  999
долларов.  за эти деньги покупатель получает 1 Мбайт оперативной памяти,
дисковод для гибких дисков диаметром 5.25" емкостью 1.2 Мбайт,  контрол-
лер для жесткого диска, блок питания на 200 Вт и клавиатуру.
                                "Byte", Vol.14, No. 6,June 1989, p.65

                                - 7 -

       ПЕРВЫЙ КОМПЬЮТЕР НА МИКРОПРОЦЕССОРЕ 80486 ГОТОВ К ПРОДАЖЕ

   Фирма Apricot стала первой среди изготовителей персональных компьюте-
ров на микропроцессоре 80486, которая обьявила о начале выпуска и прода-
жи таких компьютеров. Компьютер Apricot VXFT в напольном исполнении про-
дается, начиная с сентября, а в настольном - в начале  следующего  года.
Вариант этого компьютера с микропроцессором 80386 поступил в продажу уже
в августе. Компьютер VXFTserver имеет две версии. Серия 400 этого компь-
ютера  предназнаена  для  работы в локальной сети, а серия 800 - для ис-
пользования в качестве центральной машины в системе Unix (поставляется с
системой SCO Unix System V Release 3.2 в качестве стандартной системы).
   Помере того, как компьютеры с микропроцессором 80386 становятся стан-
дартными, на другие типы компьютеров цены быстро снижаются.
                                      "PC User", 7-20 June 1989, p.29

                   ЭКСПЕРТНАЯ СИСТЕМА, ОБЕСПЕЧИВАЮЩАЯ
                     МОБИЛЬНОСТЬ ПРОГРАММ НА ЯЗЫКЕ С

   Экспертная   система  Codecheck  фирмы  Abrxas  Software  Inc.  (7033
Southwest Macadam Ave., Portland, OR 97219,(503)  244-5253)  анализирует
исходные  тексты программ на языке С с целью определения возможности об-
мена программами на языке С с целью определения возможности обмена прог-
раммами между операционными системами DOS, OS/2, Unix, VMS  и  системами
компьютера  Macintosh. Средства, обеспечиваемые этой системой, позволяют
подготовить программу для переноса в другую среду, можно также  скоррек-
тировать программу для работы с иностранным языком.
   Система работает со всеми компиляторами. Цена системы 295 долларов.
                              "Byte", Vol. 14, No. 6, June 1989, p.80

               ОДИН ГИГАБАЙТ НА СТИРАЕМОМ ОПТИЧЕСКОМ ДИСКЕ

   Фирма Storage Dimensions начала продажу стираемых оптических  дисков,
емкость которых превышает 1 Гбайт (1000 Мбайт), а время доступа к данным
примерно такое же, как у обычных жестких дисков типа "винчестер".  Сред-
нее  время доступа к данным составляет 35 мс, скорость передачи данных в
компьютер 4 Мбайт/с, т.е. примерно втрое выше, чем у конкурентов.

                                - 8 -
   Стоимость сменного оптического диска для этого дисковода  250  долла-
ров,  т.е.  стоимость хранения одного мегабайта данных существенно ниже,
чем для "винчестеров", и составляет менее 40 центов. Это является рекор-
дом и для стираемых оптических дисков.
   Дисковод LaserStore рассчитан на  работу  в  системах  DOS,  OS/2,  в
компьютере  Macintosh,  а  также  с сетевой операционной системой Nowell
Netware.
   Диски для  дисковода  LaserStore  будут  поставляться  фирмами  ЗМ  и
Philips DuPont Optical (PDO).
   Размеры дисковода 7.7х5.7х14.75 дюймов.
   Полномасштабное серийное производство этих дисководов начнется с сен-
тября.
        "Electronic Engineering Times", July 31,1989, Issue 549, p.12

                             НОВЫЙ КАТАЛОГ

   Международная  ассоциация пользователей UNIX - /usr/group - выпустила
каталог изделий для системы UNIX на 1989 г. Этот каталог включает списки
5304 (что на 22% больше, чем в 1988 г.) изделий, разработанных специаль-
но для системы UNIX, продаваемых 1386 продавцами. В этом каталоге,  нас-
читывающем  1000 страниц, представленны 299 международных фирм-распрост-
ранителей.
                                      "Computer Age", январь, 1989 г.

                               ХИТ-ПАРАД

   Ниже  приводится хит-парад,  составленный фирмой PC Connection по ре-
зультатам продажи программного обеспечения и оборудования в апреле этого
года. В скобках указано место, занятое данным изделием в прошлом хит-па-
раде.

                                - 9 -

   Продажа программного обеспечения

   (1)  1. Пакет "Advansed Utilities", версия 4.5 фирма Peter Norton
   (2)  2. Пакет "Will Maker", версия 3.0 фирма Nolo Press
   (3)  3. Пакет "Word Perfect", версия 5.0 фирма Word Perfect
    -   4. Пакет "VGA Dimmer", версия 2.01 фирма Revolution
   (5)  5. Пакет "Lotus 1-2-3", версия 2.01 фирма Lotus
   (4)  6. Пакет "Fastback Plus", версия 2.01 фирма Fifth Genration
   (10) 7. Пакет "PC Tools Delux", версия 5.1 фирма Central Point
   (6)  8. Пакет "Qicken", версия 2.1 фирма Intuit
   (9)  9. Пакет "PROCOMM PLUS", версия 1.1 фирма Data Storm
   (8) 10. Пакет "Grammatik III", версия 1.07 фирма Referense

   Продажа оборудования

   (1)  1. Мышь, фирма Microsoft
   (2)  2. Дисковод, 1.44 Мб, 3.5 дюйма, фирма TEAC
   (3)  3. Мышь "С9 Hizer", фирма Logitech
   (4)  4. Внешний модем, 2400 бод, фирма Practical Peripherals
   (5)  5. Дисковод 720 Кб, 3.5 дюйма, фирма Intel
   (6)  6. Встроенный модем, 2400 бод, фирма Practical Peripherals
   (8)  7. Плата 386/PC, фирма Intel
   (9)  8. Дисковод 360 Кб, 5.25 дюйма, фирма TEAC
    -   9. Принтер LX-800, фирма Epson

                                              "PC Week", май, 1989 г.

